import type Question from "@metabase/embedding-sdk-react/dist/frontend/src/metabase-lib/v1/Question";
import type { ModelCacheRefreshStatus } from "@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api";
export declare function ModelCacheToggle({ persistedModel, model, }: {
    persistedModel?: ModelCacheRefreshStatus;
    model: Question;
}): import("react/jsx-runtime").JSX.Element;
